KSpell2::Filter Class Reference

`#include <filter.h>`

## Public Member Functions

void | setSettings (Settings *)
Settings * | settings () const
bool | atEnd () const
void | setBuffer (const QString &buffer)
QString | buffer () const
void | restart ()
virtual Word | nextWord () const
virtual Word | previousWord () const
virtual Word | wordAtPosition (unsigned int pos) const
virtual void | setCurrentPosition (int)
virtual int | currentPosition () const
virtual void | replace (const Word &w, const QString &newWord)
virtual QString | context () const

## Static Public Member Functions

static Filter * | defaultFilter ()
static Word | end ()

## Protected Member Functions

bool | trySkipLinks () const
bool | ignore (const QString &word) const
QChar | skipToLetter (uint &fromPosition) const
bool | shouldBeSkipped (bool wordWasUppercase, bool wordWasRunTogether, const QString &foundWord) const

## Protected Attributes

QString | m_buffer
uint | m_currentPosition

## Detailed Description

Filter is used to split text into words which will be spell checked.

Author
  Zack Rusin zack@.nosp@m.kde..nosp@m.org used to split text into words

Definition at line 65 of file filter.h.

## Member Function Documentation

QString KSpell2::Filter::context | ( |  | ) | const

virtual

Should return the sentence containing the current word.

Definition at line 219 of file filter.cpp.

void KSpell2::Filter::setSettings | ( | Settings * | conf | ) |

Sets the Settings object for this Filter.

Definition at line 72 of file filter.cpp.

Settings * KSpell2::Filter::settings | ( |  | ) | const

Returns currently used Settings object.

Definition at line 77 of file filter.cpp.

The documentation for this class was generated from the following files:

- filter.h
- filter.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys